<?php

 include('tracker/includes/MySQL.php');
 include('tracker/includes/config.php');
 include('tracker/includes/funktionen.php');


 // Gre und Abstand
 $beide  = 1;
 $breite = 191;
 $hoehe  = 150;
 $step   = 4;
 $font   = 2;
 $abstand_x_links  = 50;
 $abstand_x_rechts = 20;
 $abstand_y_oben   = 30;
 $abstand_y_unten  = 20;

 // Start und Endpunkte der Kurven berrechnen
 $start_x = 0 + $abstand_x_links;
 $start_y = $hoehe - $abstand_y_unten;
 $ende_x  = $breite - $abstand_x_rechts;
 $ende_y  = 0 + $abstand_y_oben;

 // Farben deklarieren
 $bild    = imagecreate($breite, $hoehe);
 $grau    = imagecolorallocate($bild, 205, 205, 205);
 $blau    = imagecolorallocate($bild, 0, 0, 255);
 $schwarz = imagecolorallocate($bild, 0, 0, 0);
 $orange  = imagecolorallocate($bild, 255, 128, 0);
 $rot     = imagecolorallocate($bild, 255, 0, 0);
 $gruen   = imagecolorallocate($bild, 0, 128, 0);

 // Grundform und Rahmen zeichnen
 imagefilledrectangle($bild, 1, 1, $breite - 2, $hoehe - 2, $grau);
 imageline($bild, 0, 0, $breite, 0, $schwarz);
 imageline($bild, 0, 0, 0, $hoehe, $schwarz);
 imageline($bild, 0, $hoehe - 1, $breite, $hoehe - 1, $schwarz);
 imageline($bild, $breite - 1, 0, $breite - 1, $hoehe - 1, $schwarz);

 // Innerer Rahmen
 imageline($bild, $start_x, $start_y + 1, $ende_x, $start_y + 1, $schwarz);
 imageline($bild, $start_x, $start_y + 1, $start_x, $ende_y, $schwarz);

 // Die 15 und 31 schreiben
 imagestring($bild, $font, $abstand_x_links + 55,  133, "15", $schwarz);
 imagestring($bild, $font, $abstand_x_links + 117, 133, "31", $schwarz);

 // Die 0 schreiben
 $schriftBreite = imagefontwidth($font) * strlen('0');
 $startSchrift  = $abstand_x_links - 3 - $schriftBreite;
 imagestring($bild, $font, $startSchrift, 133, "0", $schwarz);

 // berschrift
 $sb1 = imagefontwidth($font) * strlen("Seitenaufrufe");
 $sb2 = imagefontwidth($font) * strlen("/");
 $sb3 = imagefontwidth($font) * strlen("Besucher");
 imagestring($bild, $font, $breite - 3 - $sb1, 5, "Seitenaufrufe", $orange);
 imagestring($bild, $font, $breite - 3 - $sb1 - $sb2, 5, "/", $schwarz);
 imagestring($bild, $font, $breite - 3 - $sb1 - $sb2 - $sb3, 5, "Besucher", $blau);

 // Monat schreiben
 imagestringup($bild, $font, $breite - 18, 128, $monatsTexte[date("n", time())], $schwarz);


 // bergebene Werte zeichnen
 function zeichne($wert, $farbe, $faktor)
 {
	global $wert;
	global $farbe;
	global $bild;
	global $start_x;
	global $start_y;
	global $abstand_x_links;
	global $step;

	$werte = explode("|", $wert);

	$start_x   = 1 + $abstand_x_links;
	$menge     = sizeof($werte);

	$buffer    = array();
	$buffer[0] = $start_x + 1;
	$buffer[1] = $start_y - $werte[0];

	for( $a = 1; $a < ( $menge - 1 ); $a++ )
	{
		if( $a > 1 )
		{
			imageline($bild, $buffer[0], $buffer[1], $start_x, $start_y - ( $werte[$a] * $faktor ), $farbe);
		}

		$buffer[0] = $start_x;
		$buffer[1] = $start_y - ( $werte[$a] * $faktor );

		$start_x  += $step;
	}
 }

 if( isset($_GET['domain']) )
 {
	$thisDomain = mysql_fetch_array(mysql_query("SELECT * FROM `".TABLE_SYS_DOMAINS."` WHERE `id` = '".$_GET['domain']."' LIMIT 0,1"));

	$wert1  = "";
	$array1 = array();

	$wert2  = "";
	$array2 = array();

	$dieserMonat = date("n", time());
	$diesesJahr  = date("Y", time());

	$checkBes = 0;

	for( $d = 1; $d < ( date("j", time()) + 1 ); $d++ )
	{
		$besucher = mysql_fetch_array(mysql_query("SELECT count(id) AS Total FROM `".TABLE_TRACKING."_main_".$thisDomain['id']."` WHERE `tag` = '$d' && `monat` = '".$dieserMonat."' && `jahr` = '".$diesesJahr."'"));

		$aufNum       = mysql_fetch_array(mysql_query("SELECT sum(klicks) AS Total FROM `".TABLE_TRACKING."_main_".$thisDomain['id']."` WHERE `tag` = '$d' && `monat` = '".$dieserMonat."' && `jahr` = '".$diesesJahr."'"));
		$ges_aufrufe  = $aufNum['Total'] + $besucher['Total'];

		$wert1    .= $besucher['Total']."|";
		$array1[]  = $besucher['Total'];

		$wert2    .= $ges_aufrufe."|";
		$array2[]  = $ges_aufrufe;

		$checkBes += $besucher['Total'];
	}

	if( $checkBes > 0 )
	{
		// Maximalwert der Skalierung zuweisen
		if( $beide == 1 )
		{
			$array_max = array_merge($array1, $array2);
		} else
		  {
			$array_max = array_merge($array1);
		  }

		settype($peak, "Double");
		$peak = 0;
		foreach( $array_max as $max )
		{
			if( $max > $peak )
			{
				$peak = ceil($max);
			}
		}

		$faktor = 100 / $peak;

		if( $beide == 1 )
		{
			// Ersten Wert verdoppeln
			$wert1 = $array1[0]."|".$wert1;
			$wert2 = $array2[0]."|".$wert2;

			// Funktionsaufrufe
			$wert = $wert1; $farbe = $blau;   zeichne($wert, $farbe, $faktor);
			$wert = $wert2; $farbe = $orange; zeichne($wert2, $farbe, $faktor);
		} else
		  {
			// Ersten Wert verdoppeln
			$wert1 = $array1[0]."|".$wert1;

			// Funktionsaufrufe
			$wert = $wert1; $farbe = $blau; zeichne($wert, $farbe, $faktor);
		  }

		// Maximalwert schreiben
		$schriftBreite = imagefontwidth($font) * strlen($peak);
		$startSchrift  = $abstand_x_links - 3 - $schriftBreite;
		imagestring($bild, $font, $startSchrift, $abstand_y_oben - 5, $peak, $schwarz);

		// Halbwert schreiben
		$halbWert      = round(($peak/2),1);
		$schriftBreite = imagefontwidth($font) * strlen($halbWert);
		$startSchrift  = $abstand_x_links - 3 - $schriftBreite;
		imagestring($bild, $font, $startSchrift, $abstand_y_oben + 45, $halbWert, $schwarz);
	}
 }

 // header modifizieren
 header("Content-type: image/png");
 imagepng($bild);
 imagedestroy($bild);

?>